--- base/nagios.c.orig	2007-11-01 03:35:39.000000000 +1000
+++ base/nagios.c	2007-11-01 10:19:35.000000000 +1000
@@ -80,6 +80,8 @@
 command         *ocsp_command_ptr=NULL;
 command         *ochp_command_ptr=NULL;
 
+char            *use_timezone=NULL;
+
 char            *illegal_object_chars=NULL;
 char            *illegal_output_chars=NULL;
 
@@ -276,6 +278,10 @@
 	int display_license=FALSE;
 	int display_help=FALSE;
 	int c=0;
+	time_t now=0L;
+	struct tm *tm;
+	char datestring[256];
+
 
 
 #ifdef HAVE_GETOPT_H
@@ -631,6 +637,15 @@
 			/* this must be logged after we read config data, as user may have changed location of main log file */
 			logit(NSLOG_PROCESS_INFO,TRUE,"Nagios %s starting... (PID=%d)\n",PROGRAM_VERSION,(int)getpid());
 
+			now=time(NULL);
+			tm=localtime(&now);
+
+			strftime(datestring,sizeof(datestring),"%a %b %d %H:%M:%S %Z %Y",tm);
+
+			asprintf(&buffer,"Local Time is %s\n",datestring);
+			write_to_logs_and_console(buffer,NSLOG_PROCESS_INFO,TRUE);
+			my_free((void **)&buffer);
+
 			/* write log version/info */
 			write_log_file_info(NULL);
 
